org.apache.maven.project.overlay

## Class BuildOverlay

- java.lang.Object
- - Build
  - - org.apache.maven.project.overlay.BuildOverlay

    public class BuildOverlay
    extends Build

### Constructor Summary

Constructors
Constructor and Description
`BuildOverlay(Build build)`

### Method Summary

Methods
`void` `addExtension(Extension extension)`
`void` `addFilter(java.lang.String string)`
`void` `addPlugin(Plugin plugin)`
`void` `addResource(Resource resource)`
`void` `addTestResource(Resource resource)`
`boolean` `equals(java.lang.Object obj)`
`void` `flushPluginMap()`
`java.lang.String` `getDefaultGoal()`
`java.lang.String` `getDirectory()`
`java.util.List` `getExtensions()`
`java.util.List` `getFilters()`
`java.lang.String` `getFinalName()`
`java.lang.String` `getOutputDirectory()`
`PluginManagement` `getPluginManagement()`
`java.util.List` `getPlugins()`
`java.util.Map` `getPluginsAsMap()`
`java.util.List` `getResources()`
`java.lang.String` `getScriptSourceDirectory()`
`java.lang.String` `getSourceDirectory()`
`java.lang.String` `getTestOutputDirectory()`
`java.util.List` `getTestResources()`
`java.lang.String` `getTestSourceDirectory()`
`int` `hashCode()`
`void` `removeExtension(Extension extension)`
`void` `removeFilter(java.lang.String string)`
`void` `removePlugin(Plugin plugin)`
`void` `removeResource(Resource resource)`
`void` `removeTestResource(Resource resource)`
`void` `setDefaultGoal(java.lang.String defaultGoal)`
`void` `setDirectory(java.lang.String directory)`
`void` `setExtensions(java.util.List extensions)`
`void` `setFilters(java.util.List filters)`
`void` `setFinalName(java.lang.String finalName)`
`void` `setOutputDirectory(java.lang.String outputDirectory)`
`void` `setPluginManagement(PluginManagement pluginManagement)`
`void` `setPlugins(java.util.List plugins)`
`void` `setResources(java.util.List resources)`
`void` `setScriptSourceDirectory(java.lang.String scriptSourceDirectory)`
`void` `setSourceDirectory(java.lang.String sourceDirectory)`
`void` `setTestOutputDirectory(java.lang.String testOutputDirectory)`
`void` `setTestResources(java.util.List testResources)`
`void` `setTestSourceDirectory(java.lang.String testSourceDirectory)`
`java.lang.String` `toString()`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### BuildOverlay

    public BuildOverlay(Build build)

### Method Detail

#### addExtension

    public void addExtension(Extension extension)

#### addPlugin

    public void addPlugin(Plugin plugin)

#### addResource

    public void addResource(Resource resource)

#### addTestResource

    public void addTestResource(Resource resource)

#### equals

    public boolean equals(java.lang.Object obj)

#### flushPluginMap

    public void flushPluginMap()

#### getDefaultGoal

    public java.lang.String getDefaultGoal()

#### getDirectory

    public java.lang.String getDirectory()

#### getExtensions

    public java.util.List getExtensions()

#### getFinalName

    public java.lang.String getFinalName()

#### getOutputDirectory

    public java.lang.String getOutputDirectory()

#### getPluginManagement

    public PluginManagement getPluginManagement()

#### getPlugins

    public java.util.List getPlugins()

#### getPluginsAsMap

    public java.util.Map getPluginsAsMap()

#### getResources

    public java.util.List getResources()

#### getScriptSourceDirectory

    public java.lang.String getScriptSourceDirectory()

#### getSourceDirectory

    public java.lang.String getSourceDirectory()

#### getTestOutputDirectory

    public java.lang.String getTestOutputDirectory()

#### getTestResources

    public java.util.List getTestResources()

#### getTestSourceDirectory

    public java.lang.String getTestSourceDirectory()

#### hashCode

    public int hashCode()

#### removeExtension

    public void removeExtension(Extension extension)

#### removePlugin

    public void removePlugin(Plugin plugin)

#### removeResource

    public void removeResource(Resource resource)

#### removeTestResource

    public void removeTestResource(Resource resource)

#### setDefaultGoal

    public void setDefaultGoal(java.lang.String defaultGoal)

#### setDirectory

    public void setDirectory(java.lang.String directory)

#### setExtensions

    public void setExtensions(java.util.List extensions)

#### setFinalName

    public void setFinalName(java.lang.String finalName)

#### setOutputDirectory

    public void setOutputDirectory(java.lang.String outputDirectory)

#### setPluginManagement

    public void setPluginManagement(PluginManagement pluginManagement)

#### setPlugins

    public void setPlugins(java.util.List plugins)

#### setResources

    public void setResources(java.util.List resources)

#### setScriptSourceDirectory

    public void setScriptSourceDirectory(java.lang.String scriptSourceDirectory)

#### setSourceDirectory

    public void setSourceDirectory(java.lang.String sourceDirectory)

#### setTestOutputDirectory

    public void setTestOutputDirectory(java.lang.String testOutputDirectory)

#### setTestResources

    public void setTestResources(java.util.List testResources)

#### setTestSourceDirectory

    public void setTestSourceDirectory(java.lang.String testSourceDirectory)

#### toString

    public java.lang.String toString()

#### addFilter

    public void addFilter(java.lang.String string)

#### getFilters

    public java.util.List getFilters()

#### removeFilter

    public void removeFilter(java.lang.String string)

#### setFilters

    public void setFilters(java.util.List filters)